Random letters
Most popular
Newest
Latest
Chaoban

Read full letter

Labas, Simai, Čia Tau rašo Lina iš praeities {{{{: Dabar yra 2012-12-04 diena, Tu geri braškių arbatą ir žaidi savo paauglišką šaudynių žaidimą, o Henrikas guli skalbinių dėžėje...

Read full letter

Hey Sean I don't know how we are doing on this day - 30 April 2018. I don't even know if we are talking, if we are even on good terms. Because right now, from when I'm writing this on 30 April...

Read full letter

Dear Niha, How's it going???? We're stuck at home right now. I'm sooooo bored and so done with Papa and Niya Chechi. They're so frustrating. Anyways, I think you had enough of that. Corona is...

Read full letter

Labas, leliukai. Dirbam sukvaišę. Su Pūke drauge. Beigi atskirai. Trankosi elektra pūkuotoji :) Ir panašu, kad pabaigsim nesamones kokia trečią nakties :) O paskui nieko neįvyks :D...

Read full letter

 
Back
 
 
Next
 
Phrase of the day
 
Create a promise
 
Write a letter